/*
 * Copyright 2010 Harald Wellmann
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

package com.googlecode.jeeunit.weld;

import javax.enterprise.inject.spi.BeanManager;

import org.jboss.weld.environment.se.Weld;
import org.jboss.weld.environment.se.WeldContainer;

import com.googlecode.jeeunit.cdi.spi.BeanManagerProvider;

public class WeldSeBeanManagerProvider implements BeanManagerProvider {

    @Override
    public BeanManager getBeanManager() {
        Weld weld = new Weld();
        WeldContainer container = weld.initialize();
        BeanManager mgr = container.getBeanManager();
        return mgr;
    }
}
